Your PHP MySQL library version 3.23.49 differs from your MyS

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Your PHP MySQL library version 3.23.49 differs from your MyS

Postby member1 » 03. January 2008 13:48

hi

i have installed xampp 1.6.5
thene i make swith from php5 to php 4 (4.4.7)

i enter to my phpmyadmin i have i litle warning message that said

Your PHP MySQL library version 3.23.49 differs from your MySQL server version 5.0.51. This may cause unpredictable behavior.


whats that mean and how fix it thanks
member1
 
Posts: 6
Joined: 03. January 2008 13:44

Postby member1 » 03. January 2008 13:54

now whene i set the pass in
http://localhost/security/xamppsecurity.php

for mysql i can't login to phpmyadmin she give me this error

#1251 - Client does not support authentication protocol requested by server; consider upgrading MySQL client


please can anyone help me here

thanks[/quote]
member1
 
Posts: 6
Joined: 03. January 2008 13:44

Postby Scory » 03. January 2008 15:16

Click me [Sorry, link removed because of offensive language, Oswald - 12jan08]
Scory
 

Postby member1 » 03. January 2008 20:52

thanks for your reply :x

i am not stupd to ask before searching about my probleme i have more thene 10 years with google if you want i will give you some truc how to search in google or any other searchengine similair


the forum he created for get help and help others need
not for telling peapole fix it alone ............

:x
member1
 
Posts: 6
Joined: 03. January 2008 13:44

Postby Izzy » 04. January 2008 02:42

No matter how rude other members are in their replies it is always best to not do as they do and be rude back - best just to ignore their arrogant ignorance and very bad language and move on - mods should take note of any bad language in a post and act accordingly. ;)

So, lets move on:
thene i make swith from php5 to php 4 (4.4.7)

Can you say exactly how you did that, please?
Izzy
 
Posts: 3344
Joined: 25. April 2006 17:06

Postby member1 » 04. January 2008 09:55

sorry about that i will was angry

so i make a fresh installation of xampp version 1.6.5

thene i enter to XAMPP directory click in (php-switch)
he open a dos window and telle you that you are on php5

chouse betwin 4 and x ....

after that i enter to phpmyadmin to make a new db i find in bottom of the page 2 message one ask to make password to your mysql root and other

Your PHP MySQL library version 3.23.49 differs from your MySQL server version 5.0.51. This may cause unpredictable behavior.


so i enter to http://localhost/security/xamppsecurity.php
for make a new pass

whene i return to make my db i enter the root and pass he show me this message

#1251 - Client does not support authentication protocol requested by server; consider upgrading MySQL client


thats it
member1
 
Posts: 6
Joined: 03. January 2008 13:44

Postby Izzy » 04. January 2008 11:00

Do you have any other instances of MySQL installed on your PC?

chouse betwin 4 and x ....

You chose number 4?

If you already have databases created when you were using php5 then the passwords for those databases may need to be reset for using phpMyAdmin.

Here are a couple of links for this password solutions perhaps:
http://geekswithblogs.net/timh/archive/ ... 58591.aspx
http://dev.mysql.com/doc/refman/5.0/en/old-client.html

You can always reset your root user password by leaving the fields blank in the xamppsecurity.php file.
Type in the current password you created then leave the other fields blank then click on the Password Changing button.

Then when you go to phpMyAdmin don't use a password for root just leave the field blank.

Once in phpMyAdmin you should be able to change the passwords of the databases you have previously created.
Izzy
 
Posts: 3344
Joined: 25. April 2006 17:06

Postby member1 » 04. January 2008 11:59

thanks Izzy

i find this solution before but where i put this commend

SET PASSWORD FOR user@localhost = OLD_PASSWORD('password');

i tray it in ../phpmyadmin/config.inc

she give me error can you please help me with that

thanks
member1
 
Posts: 6
Joined: 03. January 2008 13:44

Postby member1 » 05. January 2008 14:00

any help
member1
 
Posts: 6
Joined: 03. January 2008 13:44

Postby adreaw » 09. January 2008 12:06

1、exm:
d:\mysql\bin>mysql -uroot -p123 (ID: root,pw: 123)
2、echo:
mysql>set password for 'root'@'localhost'=old_password('123');

3、
mysql>\q
adreaw
 
Posts: 1
Joined: 09. January 2008 12:03

so now what about the differ message?

Postby bepos » 11. February 2008 10:07

so now what about the differ message?

Your PHP MySQL library version 5.0.51 differs from your MySQL server version 3.23.32. This may cause unpredictable behavior
bepos
 
Posts: 2
Joined: 11. February 2008 10:05

Re: so now what about the differ message?

Postby Izzy » 11. February 2008 10:40

bepos wrote:so now what about the differ message?

Your PHP MySQL library version 5.0.51 differs from your MySQL server version 3.23.32. This may cause unpredictable behavior
Only 2 days ago there was a similar question asked, PhpMyAdmin MySQL Version Difference, had you took the time to look at the last few posts before asking again in this thread:
http://community.apachefriends.org/f/viewtopic.php?t=28433
Last edited by Izzy on 11. February 2008 11:16, edited 1 time in total.
Izzy
 
Posts: 3344
Joined: 25. April 2006 17:06

Postby bepos » 11. February 2008 10:57

Hi Izzy,

first : i DID take the time.... but finding a solution begins with the ability to find it. My problem?

second : i did search on the message phpmyadmin gave me. So maybe the topic should also BE the message and NOT a set of words that may or may not cover the problem.

third : this topic started with the differ problem and ended imo with a different solution. Namely the password problem.

fourth : thanx for the quick reply and please don't forget how huge this forum is.

Kind regards,

Mark

Oh and now i will take a look at your topic.
bepos
 
Posts: 2
Joined: 11. February 2008 10:05


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 49 guests